DCMTK: dcmtk::log4cplus::spi::RootLogger Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
dcmtk::log4cplus::spi::RootLogger Class Reference

RootLogger sits at the top of the logger hierarchy. More...

Inheritance diagram for dcmtk::log4cplus::spi::RootLogger:

## Public Member Functions
| RootLogger (Hierarchy &h, LogLevel ll)
| The root logger names itself as "root".
virtual LogLevel | getChainedLogLevel () const
| Return the assigned LogLevel value without walking the logger hierarchy.
void | setLogLevel (LogLevel ll)
| Setting a NOT_SET_LOG_LEVEL value to the LogLevel of the root logger may have catastrophic results.
Public Member Functions inherited from dcmtk::log4cplus::spi::LoggerImpl
virtual void | callAppenders (const InternalLoggingEvent &event)
| Call the appenders in the hierrachy starting at `this`.
virtual void | closeNestedAppenders ()
| Close all attached appenders implementing the AppenderAttachable interface.
virtual bool | isEnabledFor (LogLevel ll) const
| Check whether this logger is enabled for a given LogLevel passed as parameter.
virtual void | log (LogLevel ll, const log4cplus::tstring &message, const char *file=NULL, int line=-1)
| This generic form is intended to be used by wrappers.
LogLevel | getLogLevel () const
| Returns the assigned LogLevel, if any, for this Logger.
void | setLogLevel (LogLevel _ll)
| Set the LogLevel of this Logger.
virtual Hierarchy & | getHierarchy () const
| Return the the `Hierarchy` where this `Logger` instance is attached.
log4cplus::tstring const & | getName () const
| Return the logger name.
bool | getAdditivity () const
| Get the additivity flag for this Logger instance.
void | setAdditivity (bool additive)
| Set the additivity flag for this Logger instance.
Public Member Functions inherited from dcmtk::log4cplus::helpers::AppenderAttachableImpl
virtual void | addAppender (SharedAppenderPtr newAppender)
| Add an appender.
virtual SharedAppenderPtrList | getAllAppenders ()
| Get all previously added appenders as an vectory.
virtual SharedAppenderPtr | getAppender (const log4cplus::tstring &name)
| Look for an attached appender named as `name`.
virtual void | removeAllAppenders ()
| Remove all previously added appenders.
virtual void | removeAppender (SharedAppenderPtr appender)
| Remove the appender passed as parameter from the list of appenders.
virtual void | removeAppender (const log4cplus::tstring &name)
| Remove the appender with the name passed as parameter from the list of appenders.
int | appendLoopOnAppenders (const spi::InternalLoggingEvent &event) const
| Call the `doAppend` method on all attached appenders.

## Additional Inherited Members
Protected Member Functions inherited from dcmtk::log4cplus::spi::LoggerImpl
| LoggerImpl (const log4cplus::tstring &name, Hierarchy &h)
| This constructor created a new `Logger` instance and sets its name.
virtual void | forcedLog (LogLevel ll, const log4cplus::tstring &message, const char *file=NULL, int line=-1)
| This method creates a new logging event and logs the event without further checks.
Protected Attributes inherited from dcmtk::log4cplus::spi::LoggerImpl
log4cplus::tstring | name
| The name of this logger.
LogLevel | ll
| The assigned LogLevel of this logger.
SharedLoggerImplPtr | parent
| The parent of this logger.
bool | additive
| Additivity is set to true by default, that is children inherit the appenders of their ancestors by default.
Protected Attributes inherited from dcmtk::log4cplus::helpers::AppenderAttachableImpl
ListType | appenderList
| Array of appenders.

## Detailed Description

RootLogger sits at the top of the logger hierarchy.

It is a regular logger except that it provides several guarantees.

First, it cannot be assigned a `NOT_SET_LOG_LEVEL` LogLevel. Second, since root logger cannot have a parent, the getChainedLogLevel method always returns the value of the ll field without walking the hierarchy.

## Constructor & Destructor Documentation

## ◆ RootLogger()

dcmtk::log4cplus::spi::RootLogger::RootLogger | ( | Hierarchy & | h,
|  | LogLevel | ll )

The root logger names itself as "root".

However, the root logger cannot be retrieved by name.

References dcmtk::log4cplus::spi::LoggerImpl::ll.

## Member Function Documentation

## ◆ setLogLevel()

void dcmtk::log4cplus::spi::RootLogger::setLogLevel | ( | LogLevel | ll | ) |

Setting a NOT_SET_LOG_LEVEL value to the LogLevel of the root logger may have catastrophic results.

We prevent this here.

References dcmtk::log4cplus::spi::LoggerImpl::ll.

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/spi/rootlog.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2